Default Theme gettext-Edition

Starting with version 2.6 the default theme of WordPress is multilanguage capable. So the theme I am presenting here is useful just for WordPress versions below 2.6.

 

If you want to host a multilanguage WordPress website the theme must be gettexted.

The default theme isn’t available as a gettext edition anymore so you can download my version here. The reconstruction of this website and the request for a multilangual site in German and English language I had to do the gettext job on the default theme.

  WordPress Default gettext-Edition 1.0 (54.4 KiB, 2,446 Hits)

I provide a German language file with the plugin so the available languages are English and German. I would love to add additional languages created by you to the theme, see attached .pot file.

If you also want to have (optional) multilangual posts and pages I suggest the WordPress plugin Polyglot. For German language you need an additional file de.mo with the content of de_DE.mo in the theme directory (a symlink also works). The German locale in Polyglot isn’t de_DE but de. You’ll also experience this effect for other languages as well.

Leave a Reply

Your email address will not be published. Required fields are marked *